name: Simple Counter
description: Display simple counter.
type: particle
icon: fa-calendar-plus-o

configuration:
  caching:
    type: static

form:
  fields:
    enabled:
      type: input.checkbox
      label: Enabled
      description: Globally enable particle.
      default: true

    class:
      type: input.selectize
      label: CSS Classes
      description: CSS class name for the particle.

    title:
      type: input.text
      label: Title
      description: Customize the title text.
      placeholder: Enter title

    desc:
      type: textarea.textarea
      label: Description
      description: Customize the description.
      placeholder: Enter short description

    date:
      type: select.select
      label: Day
      description: Select the day
      placeholder: 'Select the day'
      default: 1
      options:
        1: 1
        2: 2
        3: 3
        4: 4
        5: 5
        6: 6
        7: 7
        8: 8
        9: 9
        10: 10
        11: 11
        12: 12
        13: 13
        14: 14
        15: 15
        16: 16
        17: 17
        18: 18
        19: 19
        20: 20
        21: 21
        22: 22
        23: 23
        24: 24
        25: 25
        26: 26
        27: 27
        28: 28
        29: 29
        30: 30
        31: 31

    month:
      type: select.select
      label: Month
      description: Select the month
      placeholder: 'Select the month'
      default: 0
      options:
        0: January
        1: February
        2: March
        3: April
        4: May
        5: June
        6: July
        7: August
        8: September
        9: October
        10: November
        11: December

    year:
      type: input.text
      label: Year
      description: Set the year.
      placeholder: 2020

    daytext:
      type: input.text
      label: Day Text
      description: Set the text for Day.
      placeholder: Day

    daystext:
      type: input.text
      label: Days Text
      description: Set the text for Days.
      placeholder: Days

    hourtext:
      type: input.text
      label: Hour Text
      description: Set the text for Hour.
      placeholder: Hour

    hourstext:
      type: input.text
      label: Hours Text
      description: Set the text for Hours.
      placeholder: Hours

    minutetext:
      type: input.text
      label: Minute Text
      description: Set the text for Minute.
      placeholder: Minute

    minutestext:
      type: input.text
      label: Minutes Text
      description: Set the text for Minutes.
      placeholder: Minutes

    secondtext:
      type: input.text
      label: Second Text
      description: Set the text for Second.
      placeholder: Second

    secondstext:
      type: input.text
      label: Seconds Text
      description: Set the text for Seconds.
      placeholder: Seconds
